/*
 *
 *  * Copyright (C) 2014 Numatica Corporation.
 *  * All Rights Reserved.
 *  *
 *  * NOTICE:  All information contained herein is, and remains
 *  * the property of Numatica Corporation and its suppliers,
 *  * if any.  The intellectual and technical concepts contained
 *  * herein are proprietary to Numatica Corporation
 *  * and its suppliers and may be covered by U.S. and Foreign Patents,
 *  * patents in process, and are protected by trade secret or copyright law.
 *  * Dissemination of this information or reproduction of this material
 *  * is strictly forbidden unless prior written permission is obtained
 *  * from Numatica Corporation.
 *
 */
package com.numatica.insightmagic.interaction.store;

import com.hazelcast.core.MapStore;
import com.numatica.insightmagic.interaction.UserAction;
import com.numatica.insightmagic.session.model.UserSession;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcDaoSupport;
import org.springframework.stereotype.Repository;

import javax.sql.DataSource;
import java.util.Collection;
import java.util.Map;
import java.util.Set;

/**
 * Created with IntelliJ IDEA.
 * User: Jacek
 * Date: 10/9/14
 * Time: 12:33 PM
 * To change this template use File | Settings | File Templates.
 */
@Repository("userActionStore")
public class UserActionStore extends NamedParameterJdbcDaoSupport implements MapStore<Long, UserAction> {

    protected final Logger log = LoggerFactory.getLogger(getClass());

    @SuppressWarnings("SpringJavaAutowiringInspection")
    @Autowired
    public UserActionStore(final DataSource dataSource) {
        setDataSource(dataSource);
    }

    @Override
    public void store(Long aLong, UserAction userAction) {
        log.info("Storing UserAction in map");
    }

    @Override
    public void storeAll(Map<Long, UserAction> userSessionMap) {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void delete(Long aLong) {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public void deleteAll(Collection<Long> longs) {
        //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public UserAction load(Long aLong) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public Map<Long, UserAction> loadAll(Collection<Long> longs) {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }

    @Override
    public Set<Long> loadAllKeys() {
        return null;  //To change body of implemented methods use File | Settings | File Templates.
    }
}
