/*
 *
 *  * Copyright (C) 2014 Numatica Corporation.
 *  * All Rights Reserved.
 *  *
 *  * NOTICE:  All information contained herein is, and remains
 *  * the property of Numatica Corporation and its suppliers,
 *  * if any.  The intellectual and technical concepts contained
 *  * herein are proprietary to Numatica Corporation
 *  * and its suppliers and may be covered by U.S. and Foreign Patents,
 *  * patents in process, and are protected by trade secret or copyright law.
 *  * Dissemination of this information or reproduction of this material
 *  * is strictly forbidden unless prior written permission is obtained
 *  * from Numatica Corporation.
 *
 */
package com.numatica.insightmagic;

import com.numatica.insightmagic.interaction.UserActionQueueProcessor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * User: Jacek
 * Date: 10/9/14
 * Time: 7:54 PM
 * To change this template use File | Settings | File Templates.
 */
@Configuration
public class QueueProcessorConfiguration {

    /*@Bean
    public UserActionTxQueueProcessor txQueueProcessor() {
        return new UserActionTxQueueProcessor(5);

    } */

    @Bean
    public UserActionQueueProcessor queueProcessor() {
        return new UserActionQueueProcessor(5);

    }
}
